import * as monaco from 'monaco-editor';
export { monaco };
export { createEditor, createModelReference, initializePromise, registerEditorOpenHandler } from './monaco.js';
export { getConfiguration, onConfigurationChanged, registerConfigurations, registerDefaultConfigurations } from './configuration/index.js';
export { getMonacoLanguage, loadLanguage } from './languages/index.js';
export { updateEditorKeybindingsMode, updateKeybindings } from './keybindings/index.js';
import './style.js';
export { setUseGlobalPicker } from './services.js';
export { collapseCodeSections, hideCodeWithoutDecoration, lockCodeWithoutDecoration } from './tools.js';
export { getUserConfiguration, onUserConfigurationChange, updateUserConfiguration } from '@codingame/monaco-vscode-configuration-service-override';
